org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class LambdaCollectingBarrierStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.CollectingBarrierStep<S>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.LambdaCollectingBarrierStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>, Barrier<TraverserSet<S>>, LambdaHolder, MemoryComputing<TraverserSet<S>>

      public final class LambdaCollectingBarrierStep<S>
      extends CollectingBarrierStep<S>
      implements LambdaHolder

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LambdaCollectingBarrierStep.Consumers` Deprecated. As of release 3.2.0, replaced by use of `NoOpBarrierStep`.

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.CollectingBarrierStep

      `traverserSet`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LambdaCollectingBarrierStep(Traversal.Admin traversal, Consumer<TraverserSet<S>> barrierConsumer, int maxBarrierSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `barrierConsumer(TraverserSet<S> traverserSet)`
    `Consumer<TraverserSet<S>>` | `getBarrierConsumer()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.CollectingBarrierStep

      `addBarrier, clone, getMemoryComputeKey, getRequirements, hashCode, hasNextBarrier, nextBarrier, processAllStarts, processNextStart, reset`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Barrier

      `done`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### LambdaCollectingBarrierStep

          public LambdaCollectingBarrierStep(Traversal.Admin traversal,
                                             Consumer<TraverserSet<S>> barrierConsumer,
                                             int maxBarrierSize)

  - ### Method Detail

    - #### getBarrierConsumer

          public Consumer<TraverserSet<S>> getBarrierConsumer()

    - #### barrierConsumer

          public void barrierConsumer(TraverserSet<S> traverserSet)

      Specified by:
        `barrierConsumer` in class `CollectingBarrierStep<S>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `CollectingBarrierStep<S>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.